# SPDX-FileCopyrightText: ☭ Emery Hemingway
# SPDX-License-Identifier: Unlicense

import std/[asyncdispatch, sequtils, os]
import preserves, syndicate, syndicate/relays

proc main =
  let
    route = envRoute()
    data = map(commandLineParams(), parsePreserves)

  discard bootDataspace("msg") do (turn: var Turn; root: Cap):
    spawnRelays(turn, root)
    resolve(turn, root, route) do (turn: var Turn; ds: Cap):
      for e in data:
        message(turn, ds, e)

  for _ in 1..2: poll()

main()
