
import
  preserves

type
  Pulse* {.preservesRecord: "pulse".} = object
    `periodSec`*: float
    `proxy`* {.preservesEmbedded.}: Value

  XmlTranslation* {.preservesRecord: "xml-translation".} = object
    `xml`*: string
    `pr`*: Value

  FileSystemUsage* {.preservesRecord: "file-system-usage".} = object
    `path`*: string
    `size`*: BiggestInt

proc `$`*(x: Pulse | XmlTranslation | FileSystemUsage): string =
  `$`(toPreserves(x))

proc encode*(x: Pulse | XmlTranslation | FileSystemUsage): seq[byte] =
  encode(toPreserves(x))
